
library(lme4)

input <- read.table("C:\\Users\\ismalle1\\Documents\\WERK\\Papers\\ms 37 Noise colour and harvesting (Hedwig)\\Data\\sizeselectionHedwig.txt", header=TRUE,  sep = "\t")
input <- subset(input,Day<40); input <- subset(input,Day>4);
input <- subset(input, (Treatment == "BY" | Treatment == "WY" |Treatment == "RY" |Treatment == "CY"));
attach(input); names(input)

Groupharvest<-factor(Group)

y <- Female*1000 # size of females in micrometers
model1 <- lmer( y ~ Groupharvest*Treatment + (Day|Population), REML=FALSE)
qqnorm(residuals(model1))
summary(model1)
model2 <- update(model1, ~.- Groupharvest:Treatment) # model simplification
anova(model1,model2,test="Chi"); summary(model2) # model comparison p. 595 Crawley
model3 <- update(model2, ~.- Treatment) # model simplification
anova(model2,model3,test="Chi"); summary(model3) # model comparison p. 595 Crawley

cutoff <- tapply(y, Groupharvest, mean)

cutoff2 <- cutoff[1]/cutoff[2]
print(cutoff2)

tapply(y,Groupharvest,mean)
temp <- tapply(y,Groupharvest,sd); temp/table(Groupharvest)

detach(input)
